import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.Timer;
import java.util.*;
import java.io.*;
import javax.swing.JOptionPane;
import java.net.*;

public class TetrisDisplay extends JPanel
{
	private TetrisGame game;
	private JLabel ScoresLabel, Scores, LevelLabel, Level, HighscoreLabel, Highscore, LinesLabel, Lines; 
	private Timer displayTimer = new Timer (1000, new updateTimer());
	public TetrisDisplay(TetrisGame g)
	{
		super();
		displayTimer.start();
		setPreferredSize(new Dimension(100,600));
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		game = g;
		setBackground(Color.WHITE);
		ScoresLabel = new JLabel("Score:");
		Scores = new JLabel("0");
		LevelLabel = new JLabel("Level:");
		Level = new JLabel("1");
		LinesLabel = new JLabel("Lines:");
		Lines = new JLabel("0");
		HighscoreLabel = new JLabel("HighScore:");
		Highscore = new JLabel("0");
		add(ScoresLabel);
		add(Scores);
		add(LevelLabel);
		add(Level);
		add(LinesLabel);
		add(Lines);
		add(HighscoreLabel);
		add(Highscore);
	}
	public class updateTimer implements ActionListener
	{
		public void actionPerformed(ActionEvent e)
		{
			Scores.setText(Integer.toString(game.getScore()));
			Level.setText(Integer.toString(game.getLevel()));
			Lines.setText(Integer.toString(game.getLines()));
			Highscore.setText(Integer.toString(game.getHighscore()));
			revalidate();
		}
	}
}